/*
 * This file is part of Mockey, a tool for testing application 
 * interactions over HTTP, with a focus on testing web services, 
 * specifically web applications that consume XML, JSON, and HTML.
 *  
 * Copyright (C) 2009-2010  Authors:
 * 
 * chad.lafontaine (chad.lafontaine AT gmail DOT com)
 * neil.cronin (neil AT rackle DOT com) 
 * lorin.kobashigawa (lkb AT kgawa DOT com)
 * rob.meyer (rob AT bigdis DOT com)
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 */
package com.mockey.model;

/**
 * Type of things we are filtering on in request history.
 * 
 * @author chad.lafontaine
 *
 */
public class HistoryFilterType {

    private String key;
    private String description;
    private HistoryFilterType(String key, String description){
        this.key = key;
        this.description = description;
        
    }
    
    public static final HistoryFilterType IP = new HistoryFilterType("iprequest", "Requesting Client IP");
    public static final HistoryFilterType SERVICE = new HistoryFilterType("serviceId", "Service");
    /**
     * @return the key
     */
    public String getKey() {
        return key;
    }
    
    /**
     * @return the description
     */
    public String getDescription() {
        return description;
    }
    
}
